summaryrefslogtreecommitdiff
path: root/rhnop-client/debian/postrm
diff options
context:
space:
mode:
authorChristian Pointner <equinox@helsinki.at>2011-04-05 00:40:49 (GMT)
committerChristian Pointner <equinox@helsinki.at>2011-04-05 00:40:49 (GMT)
commit688222650cdfb2d08c5a132c470c14e384a1ee3e (patch)
tree732dc3f9a616993fc11a7872161dcc72682bcb65 /rhnop-client/debian/postrm
parent20d8bb7742942cd54d6ff143d0c65e957655d398 (diff)
added inital debian package
Diffstat (limited to 'rhnop-client/debian/postrm')
-rwxr-xr-xrhnop-client/debian/postrm13
1 files changed, 13 insertions, 0 deletions
diff --git a/rhnop-client/debian/postrm b/rhnop-client/debian/postrm
new file mode 100755
index 0000000..eaf8334
--- /dev/null
+++ b/rhnop-client/debian/postrm
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postrm script for rhnop-client
+
+set -e
+
+if [ "$1" = "purge" ] ; then
+ if [ -x "$(command -v deluser)" -a -x "$(command -v delgroup)" ]; then
+ deluser --quiet --system rhnop || true
+ delgroup --quiet --system rhnop || true
+ else
+ echo "Not removing rhnop user and group: adduser package not found." >&2
+ fi
+fi